.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Multiple instances of Acad.exe

3 REPLIES 3
Reply
Message 1 of 4
as
333 Views, 3 Replies

Multiple instances of Acad.exe

Hi readers,

I am developing a program which needs to retrieve some information from sometimes multiple open Acad.exe's.
Now i can analyze if Acad is started and how many instances there are.
--
Dim actProcesses() As Process = Process.GetProcesses(Environment.MachineName)
Dim Counter As Integer = 0
For Each actProcess As Process In actProcesses
If Trim(actProcess.ProcessName.ToLower) = "acad" Then
Counter = Counter + 1
End If
Next
--
But i want to be able to select a specific one which has a predefined drawing open.
How can I "transform" a process to a AcadApplication to analyze the info i need ?

please help me, i have read thousands of lines on the internet and tried many different things to get things going.

wkr,

Harold van Aarsen
3 REPLIES 3
Message 2 of 4
Anonymous
in reply to: as


You can't get anything from a Process, you would
need

to use the Running Object Table or "ROT".

 

Goggle it.


 

AcadXTabs: MDI Document Tabs for AutoCAD 2009
Supporting AutoCAD 2000
through 2009

href="http://www.acadxtabs.com">http://www.acadxtabs.com

 


 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
Hi
readers, I am developing a program which needs to retrieve some information
from sometimes multiple open Acad.exe's. Now i can analyze if Acad is started
and how many instances there are. -- Dim actProcesses() As Process =
Process.GetProcesses(Environment.MachineName) Dim Counter As Integer = 0 For
Each actProcess As Process In actProcesses If
Trim(actProcess.ProcessName.ToLower) = "acad" Then Counter = Counter + 1 End
If Next -- But i want to be able to select a specific one which has a
predefined drawing open. How can I "transform" a process to a AcadApplication
to analyze the info i need ? please help me, i have read thousands of lines on
the internet and tried many different things to get things going. wkr, Harold
van Aarsen
Message 3 of 4
as
in reply to: as

I have also had a look at ROT, but i do not understand it.

Could you help me out with a sample of how to scroll through this ROT and find out if it is a Acad object.
An if possible get it into a AcadApplication.

wkr,

Harold van Aarsen
Message 4 of 4
Anonymous
in reply to: as



 


 

AcadXTabs: MDI Document Tabs for AutoCAD 2009
Supporting AutoCAD 2000
through 2009

href="http://www.acadxtabs.com">http://www.acadxtabs.com

 


 

 


style="PADDING-RIGHT: 0px; PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid; MARGIN-RIGHT: 0px">
I
have also had a look at ROT, but i do not understand it. Could you help me out
with a sample of how to scroll through this ROT and find out if it is a Acad
object. An if possible get it into a AcadApplication. wkr, Harold van
Aarsen

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost